# Class AdvancedSearchEvents

This static class is there to contains the different string definition for all the events related to the AdvancedSearch component.

## Index

### Properties

- buildingAdvancedSearch

## Properties

### Static buildingAdvancedSearch

buildingAdvancedSearch: string

- Defined in events/AdvancedSearchEvents.ts :33

Triggered when the AdvancedSearch component is being built.

Allows external code to add new sections in the Advanced Search panel.

All bound handlers receive IBuildingAdvancedSearchEventArgs as an argument

type

  {string}

### Hierarchy

- AdvancedSearchEvents